import 'package:fotodocumentation/controller/base_controller.dart';
import 'package:fotodocumentation/dto/picture_dto.dart';

abstract interface class PictureController {
  Future<bool> delete(PictureDto dto);
}

class PictureControllerImpl extends BaseController implements PictureController {
  final String path = "picture";

  @override
  Future<bool> delete(PictureDto dto) {
    String uriStr = '${uriUtils.getBaseUrl()}$path/${dto.id}';
    return runDeleteWithAuth(uriStr);
  }
}
